%global githash 9c19777

Name:		xs
Version:	0.1
Release:	1.git%{githash}%{?dist}
Summary:	Shell supporting functional programming

License:	Public Domain
URL:		https://github.com/frytvm
# downloaded from https://github.com/frytvm/XS/tarball/master
Source0:	frytvm-XS-9c19777.tar.gz

BuildRequires:	automake, bison, boost-devel, gc-devel, readline-devel

%description
Xs is a cleanly-designed shell with functional programming.
It is based off the source-code for the es project, which was in the public domain.
Currently, the changes in xs can also be  considered to be in the public domain.

Most of the xs source code remains untouched from es.
The primary authors of that shell can be found in that source code,
currently located at: ftp://ftp.sys.utoronto.ca/pub/es/. Modifications
since es-0.9-beta1 are all parts of xs and have been written by Frederic Koehler.


%prep
%setup -q -n frytvm-XS-%{githash}


%build
autoreconf
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT


%files
%doc README
%{_bindir}/xs
%{_mandir}/man1/xs.1*


%changelog
* Fri Sep  2 2011 Jens Petersen <petersen@redhat.com> - 0.1-1.git9c19777%{?dist}
- initial packaging
